ServerEvents.tags('item', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	event.get('forge:dusts/tin').remove('mekanism:dust_tin')
    event.get('forge:dusts/tin').remove('ftbic:tin_dust')


    event.removeAllTagsFrom('ftbic:silicon', 'ftbic:copper_plate', 'immersiveengineering:plate_copper')
    event.removeAllTagsFrom('ftbic:obsidian_dust','mekanism:dust_obsidian','occultism:obsidian_dust', 'create:copper_sheet')

})

    ServerEvents.recipes(event => {

        //
        //
        //-----VANILLA-----
        //
        //
        
        //COAL
            //Coal dust
            event.replaceOutput({}, 'mekanism:dust_tin', 'thermal:tin_dust')

            event.replaceOutput({}, 'forge:nuggets/tin', 'thermal:tin_nugget')
            event.replaceInput({}, 'forge:nuggets/tin', 'thermal:tin_nugget')

            event.replaceOutput({}, 'ftbic:silicon', 'refinedstorage:silicon')
            event.replaceInput({}, 'ftbic:silicon', 'refinedstorage:silicon')

        });